/*-
 * Copyright (c) 2015 Weongyo Jeong <weongyo@3rocks.net>
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 */

var gCheckCurrentIP = true;

function restoreOptions() {
  chrome.storage.sync.get({
    check_current_ip: true
  }, function(items) {
    if (items.check_current_ip) {
      gCheckCurrentIP = true;
    } else {
      gCheckCurrentIP = false;
    }
  });
}

function popup_disconnect_i18n_html(name)
{
  var m;

  m = chrome.i18n.getMessage(name);
  $("#" + name).html(m);
}

function popup_disconnect_i18n_attr(msgid, name, attr)
{
  var m;

  m = chrome.i18n.getMessage(msgid);
  $("#" + name).attr(attr, m);
}

function popup_disconnect_i18n()
{
  var m;

  m = chrome.i18n.getMessage("popup_connect_loading");
  $("#staticnode_picked").html(m);
  popup_disconnect_i18n_attr("popup_connect_homepage",
			     "popup_disconnect_homepage",
			     "title");
  popup_disconnect_i18n_html("popup_disconnect_disconnect");
}

$(document).ready(function () {
  popup_disconnect_i18n();
  restoreOptions();

  $("#disconnect_button").click(function () {
    chrome.runtime.sendMessage({
      type: 'DISCONNECT'
    }, function(resp) {
      chrome.browserAction.setIcon({
	path: "/images/appIcon/default-icon-b.png" });
      chrome.browserAction.setPopup({
	popup: "/html/popup_connect.html" });
      if (gCheckCurrentIP) {
	setTimeout(function() {
	  chrome.tabs.create({ url: "https://myip.mudfish.net" });
	}, 50);
      } else
	window.close();
    });
  });
  chrome.runtime.sendMessage({
    type: 'GET_SERVER'
  }, function(response) {
    $("#staticnode_picked").html(response.location);
  });
});
